fop 1.1

## org.apache.fop.render
Class DummyPercentBaseContext

    java.lang.Object
      org.apache.fop.render.DummyPercentBaseContext

All Implemented Interfaces:
  PercentBaseContext

    public final class DummyPercentBaseContext

extends java.lang.Object
implements PercentBaseContext

A dummy implementation of PercentBaseContext

Method Summary
`int` `getBaseLength(int lengthBase, FObj fo)` Returns the base length for the given length base.
`static DummyPercentBaseContext` `getInstance()` Returns an instance of this dummy implementation

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static DummyPercentBaseContext getInstance()

  Returns an instance of this dummy implementation

  Returns:
    an instance of this dummy implementation

### getBaseLength

    public int getBaseLength(int lengthBase,
                             FObj fo)

  Returns the base length for the given length base. Length base should be one of the constants defined in `LengthBase`.

  Specified by:
    `getBaseLength` in interface `PercentBaseContext`
  Parameters:
    `lengthBase` - Indicates which type of the base length value is to be returned
    `fo` - The FO object against which the percentage should be evaluated
  Returns:
    The base length value of the given kind

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.